import { Plugin } from "ckeditor5/src/core";
import {ButtonView} from "ckeditor5/src/ui";
import icon from "../../../../icons/a11y.svg";

export default class A11ycheckerUI extends Plugin {

  init() {
    const editor = this.editor;
    editor.ui.componentFactory.add('a11ychecker', (locale) => {
      const button = new ButtonView(locale);
      button.set({
        label: editor.t("A11ychecker"),
        icon,
        tooltip: true,
      });

      // Execute a callback function when the button is clicked.
      button.on('execute', (event) => {
        this._checkDoc(event);
      });
      return button;
    })
  }

  _checkDoc(event) {
    if(!event.path[0].isEnabled){
      event.stop();
    }
    if (!customElements.get('sa11y-heading-label') || !customElements.define('sa11y-heading-label', HTMLTheElement)){
      Sa11y.Lang.addI18n(Sa11yLangEn.strings);
      const sa11y = new Sa11y.Sa11y({
        checkRoot: ".ck-editor__main div.ck.ck-content.ck-editor__editable",
        // Add props here!
      });
    }
    event.path[0].isEnabled = false;
  }
}
